## org.eclipse.emf.ecore.xmi.impl
Class SAXWrapper

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.emf.ecore.xmi.impl.SAXWrapper

All Implemented Interfaces:
  XMLDefaultHandler, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

Deprecated. This class wraps an XMLHandler with a SAX DefaultHandler.

    @Deprecated
    public class SAXWrapper

extends org.xml.sax.helpers.DefaultHandler
implements XMLDefaultHandler

Field Summary
`protected XMLHandler` `handler` Deprecated.

Constructor Summary
`SAXWrapper(XMLHandler handler)` Deprecated. Constructor for SAXWrapper.

Method Summary
`void` `characters(char[] ch, int start, int length)` Deprecated.
`void` `comment(char[] characters, int start, int length)` Deprecated.
`void` `endCDATA()` Deprecated.
`void` `endDocument()` Deprecated.
`void` `endDTD()` Deprecated.
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Deprecated.
`void` `endEntity(java.lang.String name)` Deprecated.
`void` `endPrefixMapping(java.lang.String prefix)` Deprecated.
`void` `error(org.xml.sax.SAXParseException e)` Deprecated.
`void` `fatalError(org.xml.sax.SAXParseException e)` Deprecated.
`void` `ignorableWhitespace(char[] ch, int start, int length)` Deprecated.
`void` `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated.
`void` `prepare(XMLResource resource, XMLHelper helper, java.util.Map<?,?> options)` Deprecated.
`void` `processingInstruction(java.lang.String target, java.lang.String data)` Deprecated.
`void` `reset()` Deprecated.
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Deprecated.
`void` `setDocumentLocator(org.xml.sax.Locator locator)` Deprecated.
`void` `skippedEntity(java.lang.String name)` Deprecated.
`void` `startCDATA()` Deprecated.
`void` `startDocument()` Deprecated.
`void` `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Deprecated.
`void` `startEntity(java.lang.String name)` Deprecated.
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Deprecated.
`void` `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Deprecated.
`void` `warning(org.xml.sax.SAXParseException e)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected XMLHandler handler

  Deprecated.

Constructor Detail

### SAXWrapper

    public SAXWrapper(XMLHandler handler)

  Deprecated.
  Constructor for SAXWrapper.

Method Detail

### prepare

    public void prepare(XMLResource resource,
                        XMLHelper helper,
                        java.util.Map<?,?> options)

  Deprecated.
  Specified by:
    `prepare` in interface `XMLDefaultHandler`

### reset

    public void reset()

  Deprecated.
  Specified by:
    `reset` in interface `XMLDefaultHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Deprecated.
  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `processingInstruction` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `skippedEntity` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Overrides:
    `resolveEntity` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `notationDecl` in interface `org.xml.sax.DTDHandler`
  Overrides:
    `notationDecl` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
  Overrides:
    `unparsedEntityDecl` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)

  Deprecated.
  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`

### endDTD

    public void endDTD()

  Deprecated.
  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

### startEntity

    public void startEntity(java.lang.String name)

  Deprecated.
  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endEntity

    public void endEntity(java.lang.String name)

  Deprecated.
  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

### startCDATA

    public void startCDATA()

  Deprecated.
  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### endCDATA

    public void endCDATA()

  Deprecated.
  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### comment

    public void comment(char[] characters,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.